import { Component, Prop, h } from '@stencil/core';
import { capitalize } from '../../utils/utils';
export class LeanList {
  render() {
    return (h("ul", null,
      h("h1", null, capitalize(this.title)),
      h("slot", null)));
  }
  static get is() { return "lean-list"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["lean-list.css"]
  }; }
  static get styleUrls() { return {
    "$": ["lean-list.css"]
  }; }
  static get properties() { return {
    "title": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "title",
      "reflect": false
    }
  }; }
}
