'use strict';

const index = require('./index-3cfbf013.js');

/*
 Stencil Client Patch Browser v2.5.2 | MIT Licensed | https://stenciljs.com
 */
const patchBrowser = () => {
    const importMeta = (typeof document === 'undefined' ? new (require('u' + 'rl').URL)('file:' + __filename).href : (document.currentScript && document.currentScript.src || new URL('testing-stencil.cjs.js', document.baseURI).href));
    const opts = {};
    if (importMeta !== '') {
        opts.resourcesUrl = new URL('.', importMeta).href;
    }
    return index.promiseResolve(opts);
};

patchBrowser().then(options => {
  return index.bootstrapLazy([["lean-button_3.cjs",[[1,"lean-button",{"label":[1]}],[1,"lean-list",{"title":[1]}],[1,"my-component",{"first":[1],"middle":[1],"last":[1]}]]]], options);
});
