import { Component, Prop, h } from '@stencil/core';
import { capitalize } from '../../utils/utils';
export class LeanButton {
  render() {
    return h("button", { class: "btn" }, capitalize(this.label));
  }
  static get is() { return "lean-button"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["lean-button.css"]
  }; }
  static get styleUrls() { return {
    "$": ["lean-button.css"]
  }; }
  static get properties() { return {
    "label": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "label",
      "reflect": false
    }
  }; }
}
