import { p as promiseResolve, b as bootstrapLazy } from './index-def44b5a.js';

/*
 Stencil Client Patch Browser v2.5.2 | MIT Licensed | https://stenciljs.com
 */
const patchBrowser = () => {
    const importMeta = import.meta.url;
    const opts = {};
    if (importMeta !== '') {
        opts.resourcesUrl = new URL('.', importMeta).href;
    }
    return promiseResolve(opts);
};

patchBrowser().then(options => {
  return bootstrapLazy([["lean-button_3",[[1,"lean-button",{"label":[1]}],[1,"lean-list",{"title":[1]}],[1,"my-component",{"first":[1],"middle":[1],"last":[1]}]]]], options);
});
